Search transactions

View as Markdown

Search transactions with filters (date, invoice, fee type, etc.)

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

CursorstringOptional

[Optional] A pagination token used to jump to first, last, next or previous pages. When supplied, it overrides all other filter parameters.

Request

Used to filter transactions based on search criteria. Required if cursor is not provided. Ignored when cursor is present (i.e., for paginated requests).

from_datedatetime or nullOptional

Start date for filtering transactions by transaction charge date. Default is current – 7 days

invoice_idslist of strings or nullOptional
List of invoice IDs to filter transactions
invoiced_statusboolean or nullOptional
Filter Transactions by invoicing status: - True(Billed Transactions) - False(Unbilled Transactions) - null (Billed + Unbilled Transactions)
page_sizeintegerOptional

Number of transactions to return per page (default is 100, to be entered when API is called for first time). Must be between 1 and 1000.

reference_idslist of strings or nullOptional

List of reference IDs (like Shipment ID, WRO id) to filter transactions (can be numeric or string identifiers).

reference_typeslist of strings or nullOptional
The type of reference associated with the ReferenceId. Available options: - Shipment - Return - WRO - URO
sort_orderenumOptional
Allowed values:
to_datedatetime or nullOptional
End date for filtering transactions by transaction charge date. Default is current date.
transaction_feeslist of strings or nullOptional

To get all the available transaction fees use this endpoint:- ‘/transaction-fees’

transaction_typeslist of strings or nullOptional

The classification or nature of the transaction Transaction Types - Charge, Refund, Credit, Payment, BalanceAdjustment

Response

Success
firststring or null
Go to the first page
itemslist of objects or null
laststring or null
Go to the Last page
nextstring or null
Go to the Next page
prevstring or null
Go to the Previous page

Errors